/*
** mSQL Module Header File
*/


/***********************************************************************
** Standard header preamble.  Ensure singular inclusion, setup for
** function prototypes and c++ inclusion
*/

#ifndef MOD_MSQL_H

#define MOD_MSQL_H 1

#if defined(__STDC__) || defined(__cplusplus)
#  define __ANSI_PROTO(x)       x
#else
#  define __ANSI_PROTO(x)       ()
#endif

#ifdef __cplusplus
extern "C" {
#endif



/***********************************************************************
** Macro Definitions
*/


/***********************************************************************
** Type Definitions
*/


/***********************************************************************
** Function Prototypes
*/


/***********************************************************************
** Standard header file footer.  
*/

#ifdef __cplusplus
	}
#endif /* __cplusplus */
#endif /* file inclusion */


int doMsqlConnect();
int doMsqlClose();
int doMsqlSelectDB();
int doMsqlQuery();
int doMsqlStoreResult();
int doMsqlFreeResult();
int doMsqlFetchField();
int doMsqlFetchRow();
int doMsqlFieldSeek();
int doMsqlDataSeek();
int doMsqlListDBs();
int doMsqlListTables();
int doMsqlInitFieldList();
int doMsqlListField();
int doMsqlNumRows();
int doMsqlEncode();
int doMsqlLoadConfigFile();
int doMsqlDataSeek();
int doMsqlFetchField();
int doMsqlFieldSeek();
int doMsqlNumFields();
int doMsqlListDBs();
int doMsqlListTables();
int doMsqlInitFieldList();
int doMsqlListField();
int doMsqlEncode();
int doMsqlDateToUnixTime();
int doMsqlUnixTimeToDate();
int doMsqlTimeToUnixTime();
int doMsqlUnixTimeToTime();
int doMsqlSumTimes();
int doMsqlDateOffset();
int doMsqlDiffTimes();
int doMsqlDiffDates();
int doMsqlLoadConfigFile();


e_extern msql_externs [] = {
        { "msqlConnect", doMsqlConnect, "", -1, {0} },
        { "msqlClose", doMsqlClose, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlSelectDB", doMsqlSelectDB, "", 2, 
		{ EMBER_TYPE_INT, EMBER_TYPE_TEXT,0} },
        { "msqlQuery", doMsqlQuery, "", 2, 
		{ EMBER_TYPE_INT, EMBER_TYPE_TEXT,0} },
        { "msqlStoreResult", doMsqlStoreResult, "", 0, { 0} },
        { "msqlFreeResult", doMsqlFreeResult, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlFetchRow", doMsqlFetchRow, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlNumRows", doMsqlNumRows, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlDataSeek", doMsqlDataSeek, "", 2, 
		{ EMBER_TYPE_INT, EMBER_TYPE_INT,0} },
        { "msqlFetchField", doMsqlFetchField, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlFieldSeek", doMsqlFieldSeek, "", 2, 
		{ EMBER_TYPE_INT, EMBER_TYPE_INT,0} },
        { "msqlNumFields", doMsqlNumFields, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlListDBs", doMsqlListDBs, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlListTables", doMsqlListTables, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlInitFieldList", doMsqlInitFieldList, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlListField", doMsqlListField, "", 0, { 0} },
        { "msqlEncode", doMsqlEncode, "", 1, { EMBER_TYPE_TEXT,0} },
        { "msqlDateToUnixTime", doMsqlDateToUnixTime, "", 1, { EMBER_TYPE_TEXT,0} },
        { "msqlUnixTimeToDate", doMsqlUnixTimeToDate, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlTimeToUnixTime", doMsqlTimeToUnixTime, "", 1, { EMBER_TYPE_TEXT,0} },
        { "msqlUnixTimeToTime", doMsqlUnixTimeToTime, "", 1, { EMBER_TYPE_INT,0} },
        { "msqlSumTimes", doMsqlSumTimes, "", 2, 
		{ EMBER_TYPE_TEXT, EMBER_TYPE_TEXT, 0} },
        { "msqlDateOffset", doMsqlDateOffset, "", 4, 
		{ EMBER_TYPE_TEXT, EMBER_TYPE_INT, EMBER_TYPE_INT,
		  EMBER_TYPE_INT, 0} },
        { "msqlDiffTimes", doMsqlDiffTimes, "", 2, 
		{ EMBER_TYPE_TEXT, EMBER_TYPE_TEXT, 0} },
        { "msqlDiffDates", doMsqlDiffDates, "", 2, 
		{ EMBER_TYPE_TEXT, EMBER_TYPE_TEXT, 0} },
        { "msqlLoadConfigFile", doMsqlLoadConfigFile, "", 1, 
		{ EMBER_TYPE_TEXT, 0}},

	{ NULL }
};

